.navbar {
    position: sticky;
    top: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    height: 64px;
    padding: 0 24px;
    background: #1a1a1a;
    border-bottom: 3px solid #000;
    box-shadow: 0 4px 0 #000;
    justify-content: space-between;
}

.nav-left {
    display: flex;
    align-items: center;
    gap: 30px;
}

.nav-logo {
    height: 60px;
    image-rendering: pixelated;
}

.nav-links {
    display: flex;
    gap: 20px;
}

.nav-links a {
    color: #ccc;
    text-decoration: none;
    font-size: 15px;
    transition: 0.15s;
}

.nav-links a:hover {
    color: #fff;
    transform: translateY(-2px);
}

.nav-right {
    display: flex;
    align-items: center;
}

.discord-btn {
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 8px 14px;
    border-radius: 10px;
    background: #5865F2;
    color: #fff;
    text-decoration: none;
    font-size: 14px;
    box-shadow: 0 4px 0 #000;
    text-shadow: none;
    transition: transform 0.2s, filter 0.2s;
}

.discord-btn img {
    width: 22px;
    height: 22px;
}

.discord-btn:hover {
    transform: translateY(-2px) scale(1.05);
    filter: brightness(1.15);
}